Description

deleting taxa is problematic since we are using stable identifiers for taxa. After "deleting" a taxon it must still be available via the it
stable id and should somehow be marked as deleted.

So far two ideas of solving this problem exist:
e using hibernate envers

e marking the taxa as orpahn

History

#1 - 03/10/2014 10:26 AM - Andreas Kohlbecker

Warum haéltst du das Léschen von Taxa fir problematisch?

Das ist ein weiteres Problem. Fiir E+M und spéter sicherlich auch andere Projekte diirfen wir vollstandiges L&schen nicht zulassen, sondern miissen
das Taxon auf soetwas ahnliches wie orphaned stellen. Das hat damit zu tun, dass wir persistend identifier brauchen und die URI auch nach
Auflésung des Taxons noch ein Ergebnis zuriickgeben muss. Im Berlin Model war das so geldst, dass man dem Taxon explizit den Status Orphaned
(statt akzeptiert, synonym oder unknown) geben konnte und dieses somit noch erreichbar war.

Wie wir das im CDM machen missten wir mal in einem Brainstorming besprechen. Es gibt verschiedene angedachte Lésungen bis hin zur
Verwendung der _AUD Tabellen. Beachten missen wir auch, dass man eigentlich am besten einen Link vom alten zum neuen Taxon haben sollte.
Dies wére die Implementierung eines seit langem ersehnten Features im Bezug auf stable IDs, welches im BM aber auch noch fehlt.

Kannst du ein Ticket daftr anlegen, Andreas K.?

Eckhard, kannst du aus deiner Sicht nochmal beschreiben, warum das Léschen kritisch ist?

Viele Grif3e,

Andreas M.

#2 - 03/10/2014 11:31 AM - Andreas Kohlbecker

we definitely should use hibernate envers for this since it is anyway in place, as far as my memory goes | think that access to deleted taxa is already
possible over the OAI-PMH webservice which is making use of hibernate envers.

#3 - 08/18/2014 12:15 PM - Andreas Kohlbecker

- Keywords set to Euro+Med,Migration

#4 - 09/13/2017 03:02 PM - Andreas Miiller
- Description updated
- Priority changed from New to Priority14

- Private changed from Yes to No

#5 - 05/09/2018 06:11 PM - Andreas Miiller
- Priority changed from Priority14 to Highest
- Estimated time set to 20:00 h

#6 - 09/29/2018 01:05 AM - Andreas Miiller

- Target version changed from Euro+Med Migration to Euro+Med post migration
